DevToolPal
DE

E-Mail-Adressen-Syntaxprüfung

Die Syntax einer oder vieler E-Mail-Adressen prüfen, häufige Domain-Tippfehler finden und Duplikate entfernen. Nur Formatprüfung, keine Postfachabfrage.

Läuft lokal, wird nie hochgeladen

Optionen

Anzeigen

E-Mail-Adressen (eine pro Zeile)

0 Zeichen · 0 B

Syntaxprüfung

Das Ergebnis erscheint hier

Was das Tool macht

Dieses Tool prüft, ob E-Mail-Adressen korrekt geschrieben sind. Füge eine Adresse oder eine ganze Liste ein, und jede wird als gültig oder ungültig markiert – mit Begründung, etwa ein fehlendes @, zwei Punkte hintereinander, eine Domain ohne Punkt oder ein unzulässiges Zeichen. Nützlich, um eine Verteilerliste vor dem Import zu bereinigen, Regeln für Formulareingaben zu prüfen oder die eine fehlerhafte Zeile in einem CSV-Export zu finden.

Es prüft nur das Format. Es kontaktiert keinen Mailserver und kann daher nicht sagen, ob das Postfach existiert oder E-Mails annimmt.

So funktioniert es

  1. Füge Adressen in das Eingabefeld ein, eine pro Zeile. Kommas und Semikolons funktionieren ebenfalls als Trenner, du kannst also direkt eine An:-Zeile einfügen.
  2. Die Ergebnisse erscheinen während der Eingabe, mit einer Übersicht, wie viele Adressen gültig und ungültig sind.
  3. Mit Anzeigen listest du alle, nur gültige oder nur ungültige Adressen auf. Duplikate entfernen entfernt Wiederholungen; die Domain wird dabei ohne Rücksicht auf Groß- und Kleinschreibung verglichen.
  4. Klicke auf Gültige kopieren, um die bereinigte Liste zu kopieren, eine Adresse pro Zeile.

Auch Anzeigenamen werden verarbeitet: Bob Smith <bob@example.com> wird als bob@example.com geprüft, mit dem Hinweis, dass der Name entfernt wurde.

Was geprüft wird

  • Genau ein @ (außerhalb von Anführungszeichen), mit Inhalt auf beiden Seiten.
  • Die gesamte Adresse hat höchstens 254 Zeichen, der Teil vor dem @ höchstens 64.
  • Der Local Part verwendet zulässige Zeichen, ohne Punkte am Anfang, am Ende oder doppelt. Local Parts in Anführungszeichen wie "john doe"@example.org sind mit Warnung erlaubt.
  • Die Domain hat mindestens zwei Labels mit je 1–63 Zeichen aus Buchstaben, Ziffern und Bindestrichen, die nicht mit einem Bindestrich beginnen oder enden, und eine realistisch aussehende Top-Level-Domain. IP-Literale wie admin@[192.168.0.1] sind mit Warnung erlaubt.
  • Häufige Vertipper bei beliebten Domains wie gmial.com oder qq.con bekommen einen „Meintest du …?“-Vorschlag.

Beispiel

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

FAQ

› Prüft das Tool, ob das Postfach existiert?

Nein. Es ist nur eine Syntaxprüfung. Die Mailserver der Domain werden weder abgefragt noch kontaktiert, eine Adresse kann hier also bestehen und trotzdem bouncen. Ein Postfach zu bestätigen erfordert einen Server, und der einzige zuverlässige Test ist eine Bestätigungs-E-Mail.

› Werden die Adressen hochgeladen?

Nein. Jede Prüfung läuft in deinem Browser, deine Verteilerlisten verlassen also nie dein Gerät.

› Welchen Regeln folgt es?

Der Adresssyntax aus RFC 5321 und RFC 5322 sowie internationalisierten Adressen aus RFC 6531. Veraltete Formen wie Kommentare innerhalb von Adressen werden abgelehnt, weil fast kein Mailsystem sie akzeptiert.

› Warum ist eine gültige Adresse mit einer Warnung markiert?

Manche Adressen sind zulässig, aber riskant: ein wahrscheinlicher Tippfehler wie gmial.com, eine IP-Adresse statt einer Domain, ein Local Part in Anführungszeichen oder Nicht-ASCII-Zeichen, die manche Server ablehnen. Die Adresse zählt trotzdem als gültig.